//+------------------------------------------------------------------+
//|                                                      pouria2.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property link      "Data window by icpip"
//+------------------------------------------------------------------------+
//|                                                      pouria2.mq4       |
//|                                                 Copyright  2007       |
//| 7/29/07 -- add ability to change MA property and change time frame     |
//+------------------------------------------------------------------------+
#property copyright "Copyright  2007, "
#property link      ""

#property indicator_separate_window
#property indicator_buffers 8

//---- input parameters-------//

//   extern bool      Alerts=true;
  
  
                  
   extern string    ma_mode="SMA=0,EMA=1,SMMA=2,LWMA=3";                 
   extern int       firstma=85,firstma_mode=3;
   extern string    firstma_price="PRICE_LOW";
   extern int       secondma=75,secondma_mode=3;
   extern string    secondma_price="PRICE_LOW";
   extern int       thirdma=5,thirdma_mode=1;
   extern string    thirdma_price="PRICE_CLOSE";
   extern string    Time_Frame="";
   extern int       t1=30,t2=30,t3=30,t4=30,t5=30,t6=30,t7=30,t8=30,t9=30,
                    t10=60,t11=60,t12=60,t13=60,t14=60,t15=60;

//   extern string    Currency_Pairs="";
    
//----------pair order------------------------//
  
    string          p1="GBPUSD",    // For possible use to rearrange
                    p2="EURUSD",    // order later
                    p3="USDCHF",
                    p4="USDJPY",
                    p5="EURJPY",
                    p6="AUDJPY",
                    p7="CADJPY",
                    p8="GBPJPY",
                    p9="AUDUSD",
                    p10="EURGBP",
                    p11="EURCHF",
                    p12="NZDUSD",
                    p13="GBPCHF",
                    p14="CHFJPY",
                    p15="USDCAD";    
        

//---- input parameters
int nDigits;
//
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
IndicatorShortName("pouria2");
   if(Symbol()=="GBPJPY" || Symbol()=="EURJPY" || Symbol()=="USDJPY" || Symbol()=="CHFJPY" || 
      Symbol()=="AUDJPY" || Symbol()=="CADJPY" || Symbol()=="NZDJPY" ||                        
      Symbol()=="GBPJPYm" || Symbol()=="EURJPYm" || Symbol()=="USDJPYm" || Symbol()=="CHFJPYm" || 
      Symbol()=="AUDJPYm" || Symbol()=="CADJPYm" || Symbol()=="NZDJPYm"   ) nDigits =2;
      
      
                         
   if(Symbol()=="GBPUSD" || Symbol()=="EURUSD" || Symbol()=="NZDUSD" || Symbol()=="USDCHF"  ||
      Symbol()=="USDCAD" || Symbol()=="AUDUSD" || Symbol()=="EURUSD" || Symbol()=="EURCHF"  || 
      Symbol()=="EURGBP" || Symbol()=="EURCAD" || Symbol()=="EURAUD" || Symbol()=="AUDNZD"  ||
      Symbol()=="GBPUSDm" || Symbol()=="EURUSDm" || Symbol()=="NZDUSDm" || Symbol()=="USDCHFm"  ||
      Symbol()=="USDCADm" || Symbol()=="AUDUSDm" || Symbol()=="EURUSDm" || Symbol()=="EURCHFm"  || 
      Symbol()=="EURGBPm" || Symbol()=="EURCADm" || Symbol()=="EURAUDm" || Symbol()=="AUDNZDm") nDigits = 4;
   

   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   label();

//+------------------------------------------------------------------+
//|                   Pair1 Data display - GBPUSD                    |
//+------------------------------------------------------------------+  
   
double p1ma1 = iMA(p1, t1, firstma ,  0, firstma_mode , firstma_price   , 0);  // 85
double p1ma2 = iMA(p1, t1, secondma,  0, secondma_mode, secondma_price  , 0);  // 75 
double p1ma3 = iMA(p1, t1, thirdma ,  0, thirdma_mode , thirdma_price   , 0);  // 5  
      
        ObjectCreate("85C1", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p1ma2>p1ma1)
            ObjectSetText("85C1",DoubleToStr(p1ma1,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C1",DoubleToStr(p1ma1,4),9, "Arial Bold", Red);
        ObjectSet("85C1", OBJPROP_CORNER, 0);
        ObjectSet("85C1", OBJPROP_XDISTANCE, 50);
        ObjectSet("85C1", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C1", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p1ma2>p1ma1)
            ObjectSetText("75C1",DoubleToStr(p1ma2,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C1",DoubleToStr(p1ma2,4),9, "Arial Bold", Red);
        ObjectSet("75C1", OBJPROP_CORNER, 0);
        ObjectSet("75C1", OBJPROP_XDISTANCE, 50);
        ObjectSet("75C1", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C1", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p1ma3>p1ma1)
            ObjectSetText("5C1",DoubleToStr(p1ma3,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C1",DoubleToStr(p1ma3,4),9, "Arial Bold", Red);
        ObjectSet("5C1", OBJPROP_CORNER, 0);
        ObjectSet("5C1", OBJPROP_XDISTANCE, 50);
        ObjectSet("5C1", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("5p1ma1", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("5p1ma1",DoubleToStr(MathAbs(p1ma1-p1ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("5p1ma1", OBJPROP_CORNER, 0);
        ObjectSet("5p1ma1", OBJPROP_XDISTANCE, 50);
        ObjectSet("5p1ma1", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C1", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C1",DoubleToStr(MathAbs(p1ma2-p1ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C1", OBJPROP_CORNER, 0);
        ObjectSet("575C1", OBJPROP_XDISTANCE, 50);
        ObjectSet("575C1", OBJPROP_YDISTANCE, 80);
        
         
   
//+------------------------------------------------------------------+
//|                   Pair2 Data display - EURUSD                    |
//+------------------------------------------------------------------+     
double p2ma1 = iMA(p2, t2, firstma ,  0, firstma_mode , firstma_price   , 0);
double p2ma2 = iMA(p2, t2, secondma,  0, secondma_mode, secondma_price  , 0);
double p2ma3 = iMA(p2, t2, thirdma ,  0, thirdma_mode , thirdma_price   , 0);
      
         
        ObjectCreate("85C2", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p2ma2>p2ma1)
            ObjectSetText("85C2",DoubleToStr(p2ma1,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C2",DoubleToStr(p2ma1,4),9, "Arial Bold", Red);
        ObjectSet("85C2", OBJPROP_CORNER, 0);
        ObjectSet("85C2", OBJPROP_XDISTANCE, 110);
        ObjectSet("85C2", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C2", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p2ma2>p2ma1)
            ObjectSetText("75C2",DoubleToStr(p2ma2,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C2",DoubleToStr(p2ma2,4),9, "Arial Bold", Red);
        ObjectSet("75C2", OBJPROP_CORNER, 0);
        ObjectSet("75C2", OBJPROP_XDISTANCE, 110);
        ObjectSet("75C2", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C2", OBJ_LABEL, WindowFind("pouria2"), 0, 0);     // testing zone range
        if(p2ma3>p2ma1)
            ObjectSetText("5C2",DoubleToStr(p2ma3,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C2",DoubleToStr(p2ma3,4),9, "Arial Bold", Red);
        ObjectSet("5C2", OBJPROP_CORNER, 0);
        ObjectSet("5C2", OBJPROP_XDISTANCE, 110);
        ObjectSet("5C2", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C2", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C2",DoubleToStr(MathAbs(p2ma1-p2ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C2", OBJPROP_CORNER, 0);
        ObjectSet("585C2", OBJPROP_XDISTANCE, 110);
        ObjectSet("585C2", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C2", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C2",DoubleToStr(MathAbs(p2ma2-p2ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C2", OBJPROP_CORNER, 0);
        ObjectSet("575C2", OBJPROP_XDISTANCE, 110);
        ObjectSet("575C2", OBJPROP_YDISTANCE, 80);  


//+------------------------------------------------------------------+
//|                   Pair3 Data display - USDCHF                    |
//+------------------------------------------------------------------+  
double p3ma1 = iMA(p3, t3, firstma,  0, firstma_mode,   firstma_price  , 0);
double p3ma2 = iMA(p3, t3, secondma, 0, secondma_mode, secondma_price  , 0);
double p3ma3 = iMA(p3, t3, thirdma,  0, thirdma_mode,   thirdma_price  , 0);
           
        
        ObjectCreate("85C3", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p3ma2>p3ma1)
            ObjectSetText("85C3",DoubleToStr(p3ma1,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C3",DoubleToStr(p3ma1,4),9, "Arial Bold", Red);
        ObjectSet("85C3", OBJPROP_CORNER, 0);
        ObjectSet("85C3", OBJPROP_XDISTANCE, 170);
        ObjectSet("85C3", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C3", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p3ma2>p3ma1)
            ObjectSetText("75C3",DoubleToStr(p3ma2,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C3",DoubleToStr(p3ma2,4),9, "Arial Bold", Red);
        ObjectSet("75C3", OBJPROP_CORNER, 0);
        ObjectSet("75C3", OBJPROP_XDISTANCE, 170);
        ObjectSet("75C3", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C3", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p3ma3>p3ma1)
            ObjectSetText("5C3",DoubleToStr(p3ma3,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C3",DoubleToStr(p3ma3,4),9, "Arial Bold", Red);
        ObjectSet("5C3", OBJPROP_CORNER, 0);
        ObjectSet("5C3", OBJPROP_XDISTANCE, 170);
        ObjectSet("5C3", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C3", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C3",DoubleToStr(MathAbs(p3ma1-p3ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C3", OBJPROP_CORNER, 0);
        ObjectSet("585C3", OBJPROP_XDISTANCE, 170);
        ObjectSet("585C3", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C3", OBJ_LABEL, WindowFind("pouria2"), 0, 0);  
        ObjectSetText("575C3",DoubleToStr(MathAbs(p3ma2-p3ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C3", OBJPROP_CORNER, 0);
        ObjectSet("575C3", OBJPROP_XDISTANCE, 170);
        ObjectSet("575C3", OBJPROP_YDISTANCE, 80);    
 
//+------------------------------------------------------------------+
//|                   Pair4 Data display - USDJPY                    |
//+------------------------------------------------------------------+    
double p4ma1 = iMA(p4, t4, firstma, 0, firstma_mode, firstma_price  , 0);
double p4ma2 = iMA(p4, t4, secondma, 0, secondma_mode, secondma_price  , 0);
double p4ma3 = iMA(p4, t4, thirdma, 0, thirdma_mode, thirdma_price  , 0);
      
      
        
        ObjectCreate("85C4", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p4ma2>p4ma1)
            ObjectSetText("85C4",DoubleToStr(p4ma1,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C4",DoubleToStr(p4ma1,2),9, "Arial Bold", Red);
        ObjectSet("85C4", OBJPROP_CORNER, 0);
        ObjectSet("85C4", OBJPROP_XDISTANCE, 230);
        ObjectSet("85C4", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C4", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p4ma2>p4ma1)
            ObjectSetText("75C4",DoubleToStr(p4ma2,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C4",DoubleToStr(p4ma2,2),9, "Arial Bold", Red);
        ObjectSet("75C4", OBJPROP_CORNER, 0);
        ObjectSet("75C4", OBJPROP_XDISTANCE, 230);
        ObjectSet("75C4", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C4", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p4ma3>p4ma1)
            ObjectSetText("5C4",DoubleToStr(p4ma3,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C4",DoubleToStr(p4ma3,2),9, "Arial Bold", Red);
        ObjectSet("5C4", OBJPROP_CORNER, 0);
        ObjectSet("5C4", OBJPROP_XDISTANCE, 230);
        ObjectSet("5C4", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C4", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C4",DoubleToStr(MathAbs(p4ma1-p4ma3)*100,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C4", OBJPROP_CORNER, 0);
        ObjectSet("585C4", OBJPROP_XDISTANCE, 230);
        ObjectSet("585C4", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C4", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C4",DoubleToStr(MathAbs(p4ma2-p4ma3)*100,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C4", OBJPROP_CORNER, 0);
        ObjectSet("575C4", OBJPROP_XDISTANCE, 230);
        ObjectSet("575C4", OBJPROP_YDISTANCE, 80); 
        
//+------------------------------------------------------------------+
//|                   Pair5 Data display  - EURJPY                   |
//+------------------------------------------------------------------+      
double p5ma1 = iMA(p5, t5, firstma, 0, firstma_mode, firstma_price  , 0);
double p5ma2 = iMA(p5, t5, secondma, 0, secondma_mode, secondma_price  , 0);
double p5ma3 = iMA(p5, t5, thirdma, 0, thirdma_mode, thirdma_price  , 0);
      
      
        
        ObjectCreate("85C5", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p5ma2>p5ma1)
            ObjectSetText("85C5",DoubleToStr(p5ma1,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C5",DoubleToStr(p5ma1,2),9, "Arial Bold", Red);
        ObjectSet("85C5", OBJPROP_CORNER, 0);
        ObjectSet("85C5", OBJPROP_XDISTANCE, 290);
        ObjectSet("85C5", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C5", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p5ma2>p5ma1)
            ObjectSetText("75C5",DoubleToStr(p5ma2,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C5",DoubleToStr(p5ma2,2),9, "Arial Bold", Red);
        ObjectSet("75C5", OBJPROP_CORNER, 0);
        ObjectSet("75C5", OBJPROP_XDISTANCE, 290);
        ObjectSet("75C5", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C5", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p5ma3>p5ma1)
            ObjectSetText("5C5",DoubleToStr(p5ma3,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C5",DoubleToStr(p5ma3,2),9, "Arial Bold", Red);
        ObjectSet("5C5", OBJPROP_CORNER, 0);
        ObjectSet("5C5", OBJPROP_XDISTANCE, 290);
        ObjectSet("5C5", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C5", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C5",DoubleToStr(MathAbs(p5ma1-p5ma3)*100,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C5", OBJPROP_CORNER, 0);
        ObjectSet("585C5", OBJPROP_XDISTANCE, 290);
        ObjectSet("585C5", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C5", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C5",DoubleToStr(MathAbs(p5ma2-p5ma3)*100,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C5", OBJPROP_CORNER, 0);
        ObjectSet("575C5", OBJPROP_XDISTANCE, 290);
        ObjectSet("575C5", OBJPROP_YDISTANCE, 80); 
        

//+------------------------------------------------------------------+
//|                   Pair6 Data display - AUDJPY                    |
//+------------------------------------------------------------------+        
double p6ma1 = iMA(p6, t6, firstma,  0, firstma_mode,   firstma_price  , 0);
double p6ma2 = iMA(p6, t6, secondma, 0, secondma_mode, secondma_price  , 0);
double p6ma3 = iMA(p6, t6, thirdma,  0, thirdma_mode,   thirdma_price  , 0);
      
      
        
        ObjectCreate("85C6", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p6ma2>p6ma1)
            ObjectSetText("85C6",DoubleToStr(p6ma1,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C6",DoubleToStr(p6ma1,2),9, "Arial Bold", Red);
        ObjectSet("85C6", OBJPROP_CORNER, 0);
        ObjectSet("85C6", OBJPROP_XDISTANCE, 350);
        ObjectSet("85C6", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C6", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p6ma2>p6ma1)
            ObjectSetText("75C6",DoubleToStr(p6ma2,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C6",DoubleToStr(p6ma2,2),9, "Arial Bold", Red);
        ObjectSet("75C6", OBJPROP_CORNER, 0);
        ObjectSet("75C6", OBJPROP_XDISTANCE, 350);
        ObjectSet("75C6", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C6", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p6ma3>p6ma1)
            ObjectSetText("5C6",DoubleToStr(p6ma3,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C6",DoubleToStr(p6ma3,2),9, "Arial Bold", Red);
        ObjectSet("5C6", OBJPROP_CORNER, 0);
        ObjectSet("5C6", OBJPROP_XDISTANCE, 350);
        ObjectSet("5C6", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C6", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C6",DoubleToStr(MathAbs(p6ma1-p6ma3)*100,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C6", OBJPROP_CORNER, 0);
        ObjectSet("585C6", OBJPROP_XDISTANCE, 350);
        ObjectSet("585C6", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C6", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C6",DoubleToStr(MathAbs(p6ma2-p6ma3)*100,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C6", OBJPROP_CORNER, 0);
        ObjectSet("575C6", OBJPROP_XDISTANCE, 350);
        ObjectSet("575C6", OBJPROP_YDISTANCE, 80); 
        
//+------------------------------------------------------------------+
//|                   Pair7 Data display - CADJPY                    |
//+------------------------------------------------------------------+  
double p7ma1 = iMA(p7, t7, firstma,  0, firstma_mode, firstma_price  , 0);
double p7ma2 = iMA(p7, t7, secondma, 0, secondma_mode, secondma_price  , 0);
double p7ma3 = iMA(p7, t7, thirdma,  0, thirdma_mode, thirdma_price  , 0);
      
      
        
        ObjectCreate("85C7", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p6ma2>p7ma1)
            ObjectSetText("85C7",DoubleToStr(p7ma1,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C7",DoubleToStr(p7ma1,2),9, "Arial Bold", Red);
        ObjectSet("85C7", OBJPROP_CORNER, 0);
        ObjectSet("85C7", OBJPROP_XDISTANCE, 410);
        ObjectSet("85C7", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C7", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p7ma2>p7ma1)
            ObjectSetText("75C7",DoubleToStr(p7ma2,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C7",DoubleToStr(p7ma2,2),9, "Arial Bold", Red);
        ObjectSet("75C7", OBJPROP_CORNER, 0);
        ObjectSet("75C7", OBJPROP_XDISTANCE, 410);
        ObjectSet("75C7", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C7", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p7ma3>p7ma1)
            ObjectSetText("5C7",DoubleToStr(p7ma3,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C7",DoubleToStr(p7ma3,2),9, "Arial Bold", Red);
        ObjectSet("5C7", OBJPROP_CORNER, 0);
        ObjectSet("5C7", OBJPROP_XDISTANCE, 410);
        ObjectSet("5C7", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C7", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C7",DoubleToStr(MathAbs(p7ma1-p7ma3)*100,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C7", OBJPROP_CORNER, 0);
        ObjectSet("585C7", OBJPROP_XDISTANCE, 410);
        ObjectSet("585C7", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C7", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C7",DoubleToStr(MathAbs(p7ma2-p7ma3)*100,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C7", OBJPROP_CORNER, 0);
        ObjectSet("575C7", OBJPROP_XDISTANCE, 410);
        ObjectSet("575C7", OBJPROP_YDISTANCE, 80); 
        
        
//+------------------------------------------------------------------+
//|                   Pair8 Data display  - GBPJPY                   |
//+------------------------------------------------------------------+   
double p8ma1 = iMA(p8, t8, firstma,  0, firstma_mode, firstma_price  , 0);
double p8ma2 = iMA(p8, t8, secondma, 0, secondma_mode, secondma_price  , 0);
double p8ma3 = iMA(p8, t8, thirdma,  0, thirdma_mode, thirdma_price  , 0);
      
        
        ObjectCreate("85C8", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p8ma2>p8ma1)
            ObjectSetText("85C8",DoubleToStr(p8ma1,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C8",DoubleToStr(p8ma1,2),9, "Arial Bold", Red);
        ObjectSet("85C8", OBJPROP_CORNER, 0);
        ObjectSet("85C8", OBJPROP_XDISTANCE, 470);
        ObjectSet("85C8", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C8", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p8ma2>p8ma1)
            ObjectSetText("75C8",DoubleToStr(p8ma2,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C8",DoubleToStr(p8ma2,2),9, "Arial Bold", Red);
        ObjectSet("75C8", OBJPROP_CORNER, 0);
        ObjectSet("75C8", OBJPROP_XDISTANCE, 470);
        ObjectSet("75C8", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C8", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p8ma3>p8ma1)
            ObjectSetText("5C8",DoubleToStr(p8ma3,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C8",DoubleToStr(p8ma3,2),9, "Arial Bold", Red);
        ObjectSet("5C8", OBJPROP_CORNER, 0);
        ObjectSet("5C8", OBJPROP_XDISTANCE, 470);
        ObjectSet("5C8", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C8", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C8",DoubleToStr(MathAbs(p8ma1-p8ma3)*100,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C8", OBJPROP_CORNER, 0);
        ObjectSet("585C8", OBJPROP_XDISTANCE, 470);
        ObjectSet("585C8", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C8", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C8",DoubleToStr(MathAbs(p8ma2-p8ma3)*100,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C8", OBJPROP_CORNER, 0);
        ObjectSet("575C8", OBJPROP_XDISTANCE, 470);
        ObjectSet("575C8", OBJPROP_YDISTANCE, 80); 
        

//+------------------------------------------------------------------+
//|                   Pair9 Data display  - AUDUSD                   |
//+------------------------------------------------------------------+      
double p9ma1 = iMA(p9, t8, firstma,  0, firstma_mode, firstma_price  , 0);
double p9ma2 = iMA(p9, t8, secondma, 0, secondma_mode, secondma_price  , 0);
double p9ma3 = iMA(p9, t8, thirdma,  0, thirdma_mode, thirdma_price  , 0);
      
        
        ObjectCreate("85C9", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p9ma2>p9ma1)
            ObjectSetText("85C9",DoubleToStr(p9ma1,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C9",DoubleToStr(p9ma1,4),9, "Arial Bold", Red);
        ObjectSet("85C9", OBJPROP_CORNER, 0);
        ObjectSet("85C9", OBJPROP_XDISTANCE, 530);
        ObjectSet("85C9", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C9", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p9ma2>p9ma1)
            ObjectSetText("75C9",DoubleToStr(p9ma2,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C9",DoubleToStr(p9ma2,4),9, "Arial Bold", Red);
        ObjectSet("75C9", OBJPROP_CORNER, 0);
        ObjectSet("75C9", OBJPROP_XDISTANCE, 530);
        ObjectSet("75C9", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C9", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p9ma3>p9ma1)
            ObjectSetText("5C9",DoubleToStr(p9ma3,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C9",DoubleToStr(p9ma3,4),9, "Arial Bold", Red);
        ObjectSet("5C9", OBJPROP_CORNER, 0);
        ObjectSet("5C9", OBJPROP_XDISTANCE, 530);
        ObjectSet("5C9", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C9", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C9",DoubleToStr(MathAbs(p9ma1-p9ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C9", OBJPROP_CORNER, 0);
        ObjectSet("585C9", OBJPROP_XDISTANCE, 530);
        ObjectSet("585C9", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C9", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C9",DoubleToStr(MathAbs(p9ma1-p9ma2)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C9", OBJPROP_CORNER, 0);
        ObjectSet("575C9", OBJPROP_XDISTANCE, 530);
        ObjectSet("575C9", OBJPROP_YDISTANCE, 80);        
        

//+------------------------------------------------------------------+
//|                   Pair10 Data display   - EURGBP                 |
//+------------------------------------------------------------------+   
double p10ma1 = iMA(p10, t10, firstma,  0, firstma_mode, firstma_price  , 0);
double p10ma2 = iMA(p10, t10, secondma, 0, secondma_mode, secondma_price  , 0);
double p10ma3 = iMA(p10, t10, thirdma,  0, thirdma_mode, thirdma_price  , 0);
           
      
        
        ObjectCreate("85C10", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p10ma2>p10ma1)
            ObjectSetText("85C10",DoubleToStr(p10ma1,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C10",DoubleToStr(p10ma1,4),9, "Arial Bold", Red);
        ObjectSet("85C10", OBJPROP_CORNER, 0);
        ObjectSet("85C10", OBJPROP_XDISTANCE, 600);
        ObjectSet("85C10", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C10", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p10ma2>p10ma1)
            ObjectSetText("75C10",DoubleToStr(p10ma2,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C10",DoubleToStr(p10ma2,4),9, "Arial Bold", Red);
        ObjectSet("75C10", OBJPROP_CORNER, 0);
        ObjectSet("75C10", OBJPROP_XDISTANCE, 600);
        ObjectSet("75C10", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C10", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p10ma3>p10ma1)
            ObjectSetText("5C10",DoubleToStr(p10ma3,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C10",DoubleToStr(p10ma3,4),9, "Arial Bold", Red);
        ObjectSet("5C10", OBJPROP_CORNER, 0);
        ObjectSet("5C10", OBJPROP_XDISTANCE, 600);
        ObjectSet("5C10", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C10", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C10",DoubleToStr(MathAbs(p10ma1-p10ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C10", OBJPROP_CORNER, 0);
        ObjectSet("585C10", OBJPROP_XDISTANCE, 600);
        ObjectSet("585C10", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C10", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C10",DoubleToStr(MathAbs(p10ma2-p10ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C10", OBJPROP_CORNER, 0);
        ObjectSet("575C10", OBJPROP_XDISTANCE, 600);
        ObjectSet("575C10", OBJPROP_YDISTANCE, 80); 
        

//+------------------------------------------------------------------+
//|                   Pair11 Data display  - EURCHF                  |
//+------------------------------------------------------------------+     
double p11ma1 = iMA(p11, t11, firstma,  0, firstma_mode, firstma_price  , 0);
double p11ma2 = iMA(p11, t11, secondma, 0, secondma_mode, secondma_price  , 0);
double p11ma3 = iMA(p11, t11, thirdma,  0, thirdma_mode, thirdma_price  , 0);
           
        
        ObjectCreate("85C11", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p11ma2>p11ma1)
            ObjectSetText("85C11",DoubleToStr(p11ma1,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C11",DoubleToStr(p11ma1,4),9, "Arial Bold", Red);
        ObjectSet("85C11", OBJPROP_CORNER, 0);
        ObjectSet("85C11", OBJPROP_XDISTANCE, 660);
        ObjectSet("85C11", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C11", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p11ma2>p11ma1)
            ObjectSetText("75C11",DoubleToStr(p11ma2,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C11",DoubleToStr(p11ma2,4),9, "Arial Bold", Red);
        ObjectSet("75C11", OBJPROP_CORNER, 0);
        ObjectSet("75C11", OBJPROP_XDISTANCE, 660);
        ObjectSet("75C11", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C11", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p11ma3>p11ma1)
            ObjectSetText("5C11",DoubleToStr(p11ma3,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C11",DoubleToStr(p11ma3,4),9, "Arial Bold", Red);
        ObjectSet("5C11", OBJPROP_CORNER, 0);
        ObjectSet("5C11", OBJPROP_XDISTANCE, 660);
        ObjectSet("5C11", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C11", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C11",DoubleToStr(MathAbs(p11ma1-p11ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C11", OBJPROP_CORNER, 0);
        ObjectSet("585C11", OBJPROP_XDISTANCE, 660);
        ObjectSet("585C11", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C11", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C11",DoubleToStr(MathAbs(p11ma2-p11ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C11", OBJPROP_CORNER, 0);
        ObjectSet("575C11", OBJPROP_XDISTANCE, 660);
        ObjectSet("575C11", OBJPROP_YDISTANCE, 80); 

//+------------------------------------------------------------------+
//|                   Pair12 Data display - NZDUSD                   |
//+------------------------------------------------------------------+      
double p12ma1 = iMA(p12, t12, firstma,  0, firstma_mode,  firstma_price  , 0);
double p12ma2 = iMA(p12, t12, secondma, 0, secondma_mode, secondma_price  , 0);
double p12ma3 = iMA(p12, t12, thirdma,  0, thirdma_mode,   thirdma_price  , 0);
      
      
        
        ObjectCreate("85C12", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p12ma2>p12ma1)
            ObjectSetText("85C12",DoubleToStr(p12ma1,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C12",DoubleToStr(p12ma1,4),9, "Arial Bold", Red);
        ObjectSet("85C12", OBJPROP_CORNER, 0);
        ObjectSet("85C12", OBJPROP_XDISTANCE, 720);
        ObjectSet("85C12", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C12", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p12ma2>p12ma1)
            ObjectSetText("75C12",DoubleToStr(p12ma2,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C12",DoubleToStr(p12ma2,4),9, "Arial Bold", Red);
        ObjectSet("75C12", OBJPROP_CORNER, 0);
        ObjectSet("75C12", OBJPROP_XDISTANCE, 720);
        ObjectSet("75C12", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C12", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p12ma3>p12ma1)
            ObjectSetText("5C12",DoubleToStr(p12ma3,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C12",DoubleToStr(p12ma3,4),9, "Arial Bold", Red);
        ObjectSet("5C12", OBJPROP_CORNER, 0);
        ObjectSet("5C12", OBJPROP_XDISTANCE, 720);
        ObjectSet("5C12", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C12", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C12",DoubleToStr(MathAbs(p12ma1-p12ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C12", OBJPROP_CORNER, 0);
        ObjectSet("585C12", OBJPROP_XDISTANCE, 720);
        ObjectSet("585C12", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C12", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C12",DoubleToStr(MathAbs(p12ma2-p12ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C12", OBJPROP_CORNER, 0);
        ObjectSet("575C12", OBJPROP_XDISTANCE, 720);
        ObjectSet("575C12", OBJPROP_YDISTANCE, 80); 
        

//+------------------------------------------------------------------+
//|                   Pair13 Data display  - GBPCHF                  |
//+------------------------------------------------------------------+       
double p13ma1 = iMA(p13, t13, firstma,  0, firstma_mode,  firstma_price  , 0);
double p13ma2 = iMA(p13, t13, secondma, 0, secondma_mode, secondma_price  , 0);
double p13ma3 = iMA(p13, t13, thirdma,  0, thirdma_mode,  thirdma_price  , 0);
          
      
        
        ObjectCreate("85C13", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p13ma2>p13ma1)
            ObjectSetText("85C13",DoubleToStr(p13ma1,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C13",DoubleToStr(p13ma1,4),9, "Arial Bold", Red);
        ObjectSet("85C13", OBJPROP_CORNER, 0);
        ObjectSet("85C13", OBJPROP_XDISTANCE, 780);
        ObjectSet("85C13", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C13", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p13ma2>p13ma1)
            ObjectSetText("75C13",DoubleToStr(p13ma2,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C13",DoubleToStr(p13ma2,4),9, "Arial Bold", Red);
        ObjectSet("75C13", OBJPROP_CORNER, 0);
        ObjectSet("75C13", OBJPROP_XDISTANCE, 780);
        ObjectSet("75C13", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C13", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p13ma3>p13ma1)
            ObjectSetText("5C13",DoubleToStr(p13ma3,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C13",DoubleToStr(p13ma3,4),9, "Arial Bold", Red);
        ObjectSet("5C13", OBJPROP_CORNER, 0);
        ObjectSet("5C13", OBJPROP_XDISTANCE, 780);
        ObjectSet("5C13", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C13", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C13",DoubleToStr(MathAbs(p13ma1-p13ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C13", OBJPROP_CORNER, 0);
        ObjectSet("585C13", OBJPROP_XDISTANCE, 780);
        ObjectSet("585C13", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C13", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C13",DoubleToStr(MathAbs(p13ma1-p13ma2)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C13", OBJPROP_CORNER, 0);
        ObjectSet("575C13", OBJPROP_XDISTANCE, 780);
        ObjectSet("575C13", OBJPROP_YDISTANCE, 80); 


//+------------------------------------------------------------------+
//|                   Pair14 Data display - CHFJPY                   |
//+------------------------------------------------------------------+      
 double p14ma1 = iMA(p14, t14, firstma,  0, firstma_mode,   firstma_price  , 0);
 double p14ma2 = iMA(p14, t14, secondma, 0, secondma_mode, secondma_price  , 0);
 double p14ma3 = iMA(p14, t14, thirdma,  0, thirdma_mode,   thirdma_price  , 0);
          
        
        ObjectCreate("85C14", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p14ma2>p14ma1)
            ObjectSetText("85C14",DoubleToStr(p14ma1,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C14",DoubleToStr(p14ma1,2),9, "Arial Bold", Red);
        ObjectSet("85C14", OBJPROP_CORNER, 0);
        ObjectSet("85C14", OBJPROP_XDISTANCE, 840);
        ObjectSet("85C14", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C14", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p14ma2>p14ma1)
            ObjectSetText("75C14",DoubleToStr(p14ma2,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C14",DoubleToStr(p14ma2,2),9, "Arial Bold", Red);
        ObjectSet("75C14", OBJPROP_CORNER, 0);
        ObjectSet("75C14", OBJPROP_XDISTANCE, 840);
        ObjectSet("75C14", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C14", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p14ma3>p14ma1)
            ObjectSetText("5C14",DoubleToStr(p14ma3,2),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C14",DoubleToStr(p14ma3,2),9, "Arial Bold", Red);
        ObjectSet("5C14", OBJPROP_CORNER, 0);
        ObjectSet("5C14", OBJPROP_XDISTANCE, 840);
        ObjectSet("5C14", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C14", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C14",DoubleToStr(MathAbs(p14ma1-p14ma3)*100,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C14", OBJPROP_CORNER, 0);
        ObjectSet("585C14", OBJPROP_XDISTANCE, 840);
        ObjectSet("585C14", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C14", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C14",DoubleToStr(MathAbs(p14ma2-p14ma3)*100,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C14", OBJPROP_CORNER, 0);
        ObjectSet("575C14", OBJPROP_XDISTANCE, 840);
        ObjectSet("575C14", OBJPROP_YDISTANCE, 80);   
        
        
            
//+------------------------------------------------------------------+
//|                   Pair15 Data display - USDCAD                   |
//+------------------------------------------------------------------+     
double p15ma1 = iMA(p15, t15, firstma,  0, firstma_mode,    firstma_price  , 0);
double p15ma2 = iMA(p15, t15, secondma, 0, secondma_mode,  secondma_price  , 0);
double p15ma3 = iMA(p15, t15, thirdma,  0, thirdma_mode,    thirdma_price  , 0);
          
      
        
        ObjectCreate("85C15", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p15ma2>p15ma1)
            ObjectSetText("85C15",DoubleToStr(p15ma1,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("85C15",DoubleToStr(p15ma1,4),9, "Arial Bold", Red);
        ObjectSet("85C15", OBJPROP_CORNER, 0);
        ObjectSet("85C15", OBJPROP_XDISTANCE, 900);
        ObjectSet("85C15", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("75C15", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p15ma2>p15ma1)
            ObjectSetText("75C15",DoubleToStr(p15ma2,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("75C15",DoubleToStr(p15ma2,4),9, "Arial Bold", Red);
        ObjectSet("75C15", OBJPROP_CORNER, 0);
        ObjectSet("75C15", OBJPROP_XDISTANCE, 900);
        ObjectSet("75C15", OBJPROP_YDISTANCE, 35);
    
        ObjectCreate("5C15", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        if(p15ma3>p15ma1)
            ObjectSetText("5C15",DoubleToStr(p15ma3,4),9, "Arial Bold", Gold);
        else
            ObjectSetText("5C15",DoubleToStr(p15ma3,4),9, "Arial Bold", Red);
        ObjectSet("5C15", OBJPROP_CORNER, 0);
        ObjectSet("5C15", OBJPROP_XDISTANCE, 900);
        ObjectSet("5C15", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("585C15", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("585C15",DoubleToStr(MathAbs(p15ma1-p15ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("585C15", OBJPROP_CORNER, 0);
        ObjectSet("585C15", OBJPROP_XDISTANCE, 900);
        ObjectSet("585C15", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("575C15", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("575C15",DoubleToStr(MathAbs(p15ma2-p15ma3)*10000,0), 9, "Arial Bold", LightSteelBlue);
        ObjectSet("575C15", OBJPROP_CORNER, 0);
        ObjectSet("575C15", OBJPROP_XDISTANCE, 900);
        ObjectSet("575C15", OBJPROP_YDISTANCE, 80); 
   
 
       return(0);
 
  }


//+------------------------------------------------------------------+
//|              Beginning of Label function                         |
//+------------------------------------------------------------------+

void label() 
        {
     
         ////////////////////////////////////////////////////////
         //             Column Label - left to right           //
         ////////////////////////////////////////////////////////
         
        
        ObjectCreate("CL1", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL1",p1, 9, "Arial",Gold);
        ObjectSet("CL1", OBJPROP_CORNER, 0);
        ObjectSet("CL1", OBJPROP_XDISTANCE, 50);
        ObjectSet("CL1", OBJPROP_YDISTANCE, 2);
     
        ObjectCreate("CL2", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL2",p2, 9, "Arial", Gold);
        ObjectSet("CL2", OBJPROP_CORNER, 0);
        ObjectSet("CL2", OBJPROP_XDISTANCE, 110);
        ObjectSet("CL2", OBJPROP_YDISTANCE, 2);
        
        ObjectCreate("CL3", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL3",p3, 9, "Arial", Gold);
        ObjectSet("CL3", OBJPROP_CORNER, 0);
        ObjectSet("CL3", OBJPROP_XDISTANCE, 170);
        ObjectSet("CL3", OBJPROP_YDISTANCE, 2);
 
        ObjectCreate("CL4", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL4",p4, 9, "Arial", Gold);
        ObjectSet("CL4", OBJPROP_CORNER, 0);
        ObjectSet("CL4", OBJPROP_XDISTANCE, 230);
        ObjectSet("CL4", OBJPROP_YDISTANCE, 2);
     
        ObjectCreate("CL5", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL5",p5, 9, "Arial", Gold);
        ObjectSet("CL5", OBJPROP_CORNER, 0);
        ObjectSet("CL5", OBJPROP_XDISTANCE, 290);
        ObjectSet("CL5", OBJPROP_YDISTANCE, 2);

        ObjectCreate("CL6", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL6",p6, 9, "Arial", Gold);
        ObjectSet("CL6", OBJPROP_CORNER, 0);
        ObjectSet("CL6", OBJPROP_XDISTANCE, 350);
        ObjectSet("CL6", OBJPROP_YDISTANCE, 2);

        ObjectCreate("CL7", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL7",p7, 9, "Arial", Gold);
        ObjectSet("CL7", OBJPROP_CORNER, 0);
        ObjectSet("CL7", OBJPROP_XDISTANCE, 410);
        ObjectSet("CL7", OBJPROP_YDISTANCE, 2);
   
        ObjectCreate("CL8", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL8",p8, 9, "Arial", Gold);
        ObjectSet("CL8", OBJPROP_CORNER, 0);
        ObjectSet("CL8", OBJPROP_XDISTANCE, 470);
        ObjectSet("CL8", OBJPROP_YDISTANCE, 2);
  
        ObjectCreate("CL9", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL9",p9, 9, "Arial", Gold);
        ObjectSet("CL9", OBJPROP_CORNER, 0);
        ObjectSet("CL9", OBJPROP_XDISTANCE, 530);
        ObjectSet("CL9", OBJPROP_YDISTANCE, 2);
    
        ObjectCreate("CL10", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL10",p10, 9, "Arial", White);
        ObjectSet("CL10", OBJPROP_CORNER, 0);
        ObjectSet("CL10", OBJPROP_XDISTANCE, 600);
        ObjectSet("CL10", OBJPROP_YDISTANCE, 2);

        ObjectCreate("CL11", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL11",p11, 9, "Arial", White);
        ObjectSet("CL11", OBJPROP_CORNER, 0);
        ObjectSet("CL11", OBJPROP_XDISTANCE, 660);
        ObjectSet("CL11", OBJPROP_YDISTANCE, 2);
  
        ObjectCreate("CL12", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL12",p12, 9, "Arial",White);
        ObjectSet("CL12", OBJPROP_CORNER, 0);
        ObjectSet("CL12", OBJPROP_XDISTANCE, 720);
        ObjectSet("CL12", OBJPROP_YDISTANCE, 2);
    
        ObjectCreate("CL13", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL13",p13, 9, "Arial", White);
        ObjectSet("CL13", OBJPROP_CORNER, 0);
        ObjectSet("CL13", OBJPROP_XDISTANCE, 780);
        ObjectSet("CL13", OBJPROP_YDISTANCE, 2);

        ObjectCreate("CL14", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL14",p14, 9, "Arial", White);
        ObjectSet("CL14", OBJPROP_CORNER, 0);
        ObjectSet("CL14", OBJPROP_XDISTANCE, 840);
        ObjectSet("CL14", OBJPROP_YDISTANCE, 2);

        
        ObjectCreate("CL15", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("CL15",p15, 9, "Arial", White);
        ObjectSet("CL15", OBJPROP_CORNER, 0);
        ObjectSet("CL15", OBJPROP_XDISTANCE, 900);
        ObjectSet("CL15", OBJPROP_YDISTANCE, 2); 
        
        //+------------------------------------------------------------//
        //                 time frame  label                           //
        //+------------------------------------------------------------//
        ObjectCreate("TF1", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF1",DoubleToStr(t1,0), 9, "Arial",Gold);
        ObjectSet("TF1", OBJPROP_CORNER, 0);
        ObjectSet("TF1", OBJPROP_XDISTANCE, 50);
        ObjectSet("TF1", OBJPROP_YDISTANCE, 100);
     
        ObjectCreate("TF2", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF2",DoubleToStr(t2,0), 9, "Arial", Gold);
        ObjectSet("TF2", OBJPROP_CORNER, 0);
        ObjectSet("TF2", OBJPROP_XDISTANCE, 110);
        ObjectSet("TF2", OBJPROP_YDISTANCE, 100);
        
        ObjectCreate("TF3", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF3",DoubleToStr(t3,0), 9, "Arial", Gold);
        ObjectSet("TF3", OBJPROP_CORNER, 0);
        ObjectSet("TF3", OBJPROP_XDISTANCE, 170);
        ObjectSet("TF3", OBJPROP_YDISTANCE, 100);
 
        ObjectCreate("TF4", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF4",DoubleToStr(t4,0), 9, "Arial", Gold);
        ObjectSet("TF4", OBJPROP_CORNER, 0);
        ObjectSet("TF4", OBJPROP_XDISTANCE, 230);
        ObjectSet("TF4", OBJPROP_YDISTANCE, 100);
     
        ObjectCreate("TF5", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF5",DoubleToStr(t5,0), 9, "Arial", Gold);
        ObjectSet("TF5", OBJPROP_CORNER, 0);
        ObjectSet("TF5", OBJPROP_XDISTANCE, 290);
        ObjectSet("TF5", OBJPROP_YDISTANCE, 100);

        ObjectCreate("TF6", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF6",DoubleToStr(t6,0), 9, "Arial", Gold);
        ObjectSet("TF6", OBJPROP_CORNER, 0);
        ObjectSet("TF6", OBJPROP_XDISTANCE, 350);
        ObjectSet("TF6", OBJPROP_YDISTANCE, 100);

        ObjectCreate("TF7", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF7",DoubleToStr(t7,0), 9, "Arial", Gold);
        ObjectSet("TF7", OBJPROP_CORNER, 0);
        ObjectSet("TF7", OBJPROP_XDISTANCE, 410);
        ObjectSet("TF7", OBJPROP_YDISTANCE, 100);
   
        ObjectCreate("TF8", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF8",DoubleToStr(t8,0), 9, "Arial", Gold);
        ObjectSet("TF8", OBJPROP_CORNER, 0);
        ObjectSet("TF8", OBJPROP_XDISTANCE, 470);
        ObjectSet("TF8", OBJPROP_YDISTANCE, 100);
  
        ObjectCreate("TF9", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF9",DoubleToStr(t9,0), 9, "Arial", Gold);
        ObjectSet("TF9", OBJPROP_CORNER, 0);
        ObjectSet("TF9", OBJPROP_XDISTANCE, 530);
        ObjectSet("TF9", OBJPROP_YDISTANCE, 100);
    
        ObjectCreate("TF10", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF10",DoubleToStr(t10,0), 9, "Arial", White);
        ObjectSet("TF10", OBJPROP_CORNER, 0);
        ObjectSet("TF10", OBJPROP_XDISTANCE, 600);
        ObjectSet("TF10", OBJPROP_YDISTANCE, 100);

        ObjectCreate("TF11", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF11",DoubleToStr(t11,0), 9, "Arial", White);
        ObjectSet("TF11", OBJPROP_CORNER, 0);
        ObjectSet("TF11", OBJPROP_XDISTANCE, 660);
        ObjectSet("TF11", OBJPROP_YDISTANCE, 100);
  
        ObjectCreate("TF12", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF12",DoubleToStr(t12,0), 9, "Arial",White);
        ObjectSet("TF12", OBJPROP_CORNER, 0);
        ObjectSet("TF12", OBJPROP_XDISTANCE, 720);
        ObjectSet("TF12", OBJPROP_YDISTANCE, 100);
    
        ObjectCreate("TF13", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF13",DoubleToStr(t13,0), 9, "Arial", White);
        ObjectSet("TF13", OBJPROP_CORNER, 0);
        ObjectSet("TF13", OBJPROP_XDISTANCE, 780);
        ObjectSet("TF13", OBJPROP_YDISTANCE, 100);

        ObjectCreate("TF14", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF14",DoubleToStr(t14,0), 9, "Arial", White);
        ObjectSet("TF14", OBJPROP_CORNER, 0);
        ObjectSet("TF14", OBJPROP_XDISTANCE, 840);
        ObjectSet("TF14", OBJPROP_YDISTANCE, 100);

        
        ObjectCreate("TF15", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("TF15",DoubleToStr(t15,0), 9, "Arial", White);
        ObjectSet("TF15", OBJPROP_CORNER, 0);
        ObjectSet("TF15", OBJPROP_XDISTANCE, 900);
        ObjectSet("TF15", OBJPROP_YDISTANCE, 100); 
        
        
        
        

         ////////////////////////////////////////////////////////////////////
         //             Row Label - top to bottom                          //
         ////////////////////////////////////////////////////////////////////

        ObjectCreate("RL1", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("RL1",DoubleToStr(firstma,0), 9, "Arial Bold", DarkOrange);
        ObjectSet("RL1", OBJPROP_CORNER, 0);
        ObjectSet("RL1", OBJPROP_XDISTANCE, 5);
        ObjectSet("RL1", OBJPROP_YDISTANCE, 20);
      
        
        ObjectCreate("RL2", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("RL2",DoubleToStr(secondma,0), 9, "Arial Bold", Red);
        ObjectSet("RL2", OBJPROP_CORNER, 0);
        ObjectSet("RL2", OBJPROP_XDISTANCE, 5);
        ObjectSet("RL2", OBJPROP_YDISTANCE, 35);
    
         ObjectCreate("RL3", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("RL3",DoubleToStr(thirdma,0), 9, "Arial Bold", Blue);
        ObjectSet("RL3", OBJPROP_CORNER, 0);
        ObjectSet("RL3", OBJPROP_XDISTANCE, 5);
        ObjectSet("RL3", OBJPROP_YDISTANCE, 50);
        
        ObjectCreate("RL4", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("RL4",thirdma+"-"+firstma, 9, "Arial Bold", LightSteelBlue);
        ObjectSet("RL4", OBJPROP_CORNER, 0);
        ObjectSet("RL4", OBJPROP_XDISTANCE, 5);
        ObjectSet("RL4", OBJPROP_YDISTANCE, 65);
        
        ObjectCreate("RL5", OBJ_LABEL, WindowFind("pouria2"), 0, 0);
        ObjectSetText("RL5",thirdma+"-"+secondma, 9, "Arial Bold", LightSteelBlue);
        ObjectSet("RL5", OBJPROP_CORNER, 0);
        ObjectSet("RL5", OBJPROP_XDISTANCE, 5);
        ObjectSet("RL5", OBJPROP_YDISTANCE, 80);     
      }   
//+------------------------------------------------------------------+
//|               End of Label function                              |
//+------------------------------------------------------------------+